Subject: bug#37824: Args out of range error

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Oct 2019 20:34:53 +0300

> From: Takenari Shinohara <[email-masked]>
> Date: Sun, 20 Oct 2019 00:27:22 +0900
> 
> After building recent head, I started to see Args out of range errors occasionally.
> 
>  sort: Args out of range: [nil :family :foundry :swidth :height :weight :slant :underline :inverse :foreground ...], 19
> 
> I inspected a little, and I think a found the problem.
> Commit f9206f34d63104c50659a15d3615646a09df87bf intorduced new LFACE_EXTEND_INDEX enum for lface_attribute_index 
> in src/dispextern.h, but probably forgot to add corresponding value to internal-lisp-face-attributes defvar, 
> causing an arg-out-of-range error for few face related functions.
> 
> After adding :extend keyword to internal-lisp-face-attributes the error don't occur.  
> 
> (setq internal-lisp-face-attributes
>   [nil
>    :family :foundry :swidth :height :weight :slant :underline :inverse
>    :foreground :background :stipple :overline :strike :box
>    :font :inherit :fontset :vector :extend])

Thanks.

Jimmy, could you please take a look at this issue?